Summary: 	A program for making transparent GIFs from non-transparent GIFs.
Name: 		giftrans
Version: 	1.12.2
Release: 	13mdk
License: 	BSD
Group: 		Graphics
URL:		ftp://ftp.rz.uni-karlsruhe.de/pub/net/www/tools/
Source0: 	%name-%version.tar.bz2
Patch0:		giftrans-1.12.2-operator.patch.bz2
Patch1:		giftrans-1.12.2-cleanup.patch.bz2
Patch2:		giftrans-1.12.2-warnings.patch.bz2
Patch3:		giftrans-1.12.2-rgb.patch.bz2
Buildroot: 	%_tmppath/%name-%{version}-buildroot
Requires:	XFree86


%description
Giftrans will convert an existing GIF87 file to GIF89 format. In other
words, Giftrans can make one color in a .gif image (normally the
background) transparent.

Install the giftrans package if you need a quick, small, one-purpose
graphics program to make transparent .gifs out of existing .gifs.

%prep
%setup -q
%patch0 -p1 -b .operator
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
gcc -Dvoidd=void -Wall $RPM_OPT_FLAGS -s -o giftrans giftrans.c

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%_bindir/%{name}
install -m644 %{name}.1 -D $RPM_BUILD_ROOT%_mandir/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT
 

%files
%defattr(-,root,root)
%_bindir/%name
%_mandir/man1/%{name}.1*

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.12.2-13mdk
- rebuild
- cosmetics

* Fri Jan 03 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12.2-12mdk
- build release

* Wed May 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12.2-11mdk
- gcc-3.1 build
- sanitize
- fix bad c operator precedence which cause wrong values to be printed
  [Patch0]
- handle comments in rgb.txt [Patch1]
- fix compilation warnings [Patch2]
- fix rgb.txt location [Patch3]
- explicit requires on XFree86 for /usr/X11R6/lib/X11/rgb.txt

* Mon Jul 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.12.2-10mdk
- rebuild cause titi really sux :)

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12.2-9mdk
- use new macros
- BM

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.12.2-8mdk
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.2.12-7mdk
- Spec file cleanup
- Changed group to match those of 7.1
- Let spec-helper do its job

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed defattrs

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- udpated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>

- built against glibc
